[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

solution: re acrobat plugin on phoebe3

O.K. DUH! Self answered.

plugger 4.0 uses an rc file /etc/pluggerrc.
It is recalled from RH 8.0 issues list,
that acrobat reader can't handle UTF-8
and must be called with command
prefix  env LANG=C.

Hence, /etc/pluggerrc must become as
follows, in order to work properly;

application/pdf: pdf: PDF file
application/x-pdf: pdf: PDF file
text/pdf: pdf: PDF file
text/x-pdf: pdf: PDF file
repeat swallow(documentShell) fill: env LANG=C acroread -geometry +9000+9000 -xrm '+useFrontEndProgram' "$file"
repeat swallow(Xpdf) fill: xpdf -g +9000+9000 "$file"
repeat swallow(gv) fill: gv -safer -quiet -antialias -geometry +9000+9000 "$file" 2>/dev/null

note the "acroread" line above gets prefixed with
" env LANG=C " before "acroread".

This solves the issue of mozilla selecting the URL
of a pdf file and hanging forever with "Running helper..."
in the bottom status bar, and *IF* you have added
acrobat reader.
Phoebe3 out of the box properly displays pdf
using xpdf.  Of course, some prefer acrobat reader :)


Neal Pollack wrote:
Hi Team:

I've followed plugindoc.mozdev.org and
downloaded/installed acrobat reader 5.0.6
for linux.  Copied nppdf.so to

When restarting mozilla, and checking
HELP -> about plugins
it shows the acrobat plugin.
However, when using a link to a pdf file,
mozilla opens xpdf instead, which I assume
is because plugger 4.0 must also have a mime type
entry for xpdf ??

How does a person tell phoebe3 mozilla to use
the adobe pdf plugin and not xpdf?



-- Neal Pollack, Sun Linux Kernel Engineering Mgr. Los Angeles, CA. Registered Linux user #288025: http://counter.li.org/

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]